org.eclipse.net4j.util.om.log

## Interface OMLogFilter

-     public interface OMLogFilter

  Filters log events before they are being passed to the registered `log handlers`.
  Since:
    3.2
  Author:
    Eike Stepper
  See Also:
    `OMPlatform.addLogFilter(OMLogFilter)`, `OMPlatform.removeLogFilter(OMLogFilter)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `filter(OMLogger logger, OMLogger.Level level, java.lang.String msg, java.lang.Throwable t)` Prevents the log event represented by the arguments from being passed to `registered` `log handlers`, if and only if `true` is returned.

- - ### Method Detail

    - #### filter

          boolean filter(OMLogger logger,
                         OMLogger.Level level,
                         java.lang.String msg,
                         java.lang.Throwable t)

      Prevents the log event represented by the arguments from being passed to `registered` `log handlers`, if and only if `true` is returned.

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html